##
## This is part of CLFSja package.
##
BOOKdir = @abs_bookdir@/boot/common
CHANGE_FILES = \
	bc.ch             \
	boot-scripts.ch   \
	changingowner.ch  \
	createfiles.ch    \
	creatingdirs.ch   \
	devices.ch        \
	e2fsprogs.ch      \
	eudev.ch          \
	fstab.ch          \
	howtoview.ch      \
	introduction.ch   \
	kmod.ch           \
	pwdgroup.ch       \
	settingenviron.ch \
	shadow.ch         \
	sysvinit.ch       \
	whatnext.ch

EXTRA_DIST = $(CHANGE_FILES)
srcdir = @srcdir@
srcs = $(CHANGE_FILES:.ch=.xml)

SUFFIXES = .ch .xml
.ch.xml:
	$(top_builddir)/$(CTIE) -m $@ $(BOOKdir)/$@ $(srcdir)/$*.ch >/dev/null

all: ctie $(srcs)

ctie:
	@$(MAKE) -C $(top_builddir)/$@ $@ >/dev/null

$(srcs): $(BOOKdir)/$@ $(srcdir)/$(@:.xml=.ch)